%license is no longer working?

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

%license is no longer working?

Sebastian-2
Dear list,

I wanted to port a python3 package to the singlespec approach and I was
stuck with a strange behavior of %license, which is only available on >=
42.2. I therefore use this condition:
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license LICENSE
%else
%doc LICENSE
%endif

Which works fine, e.g. here:
https://build.opensuse.org/package/show/network:utilities/macchanger
But not for this package:
https://build.opensuse.org/package/show/home:sebix:branches:devel:languages:python/python-imbox
Error message is, for 42.2 and TW:

[   40s] RPM build errors:
[   40s]     File must begin with "/": MIT
[   40s]     File must begin with "/": LICENSE

Apparently %license is replaced by the value of the "License:" field.

Does anyone have a clue why this is not working now?

Sebastian

--
python programming - mail server - photo - video - https://sebix.at
cryptographic key at https://sebix.at/DC9B463B.asc and on public keyservers



signature.asc (871 bytes) Download Attachment